name: mainHomepage
type: object
meta:
    label: Hauptseite
    dependsOn:
        eval: $parent.type == 'homepage'
subFields:
    - name: type
      type: string
      meta:
          label: Typ
          widget: select
          choices:
              - id: cta
                name: Call To Action

    - !include CTACol.yml
    - name: image
      type: string
      meta:
          label: Bild
          widget: foreignKey
          foreign:
              collection: medialib
              id: id
              subNavigation: 0
              render:
                  defaultCollectionViews: true
